<?php

	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/ads/class/dao/adblocks.class.php" );

	class AdminAdblocksListView extends AdminPluginTemplatedView
	{
		
		function AdminAdblocksListView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "ads", "adblocks" );
		}
	
		function render()
		{
			// load the list of blocks
			$blocks = new AdBlocks();
			$this->setValue( "blocks", $blocks->getAdBlocks());
			
			return( parent::render());
		}
	}
?>